aboutsummaryrefslogtreecommitdiff
path: root/.local
diff options
context:
space:
mode:
authorPatrick Spek <p.spek@tyil.nl>2021-03-17 00:56:28 +0100
committerPatrick Spek <p.spek@tyil.nl>2021-08-14 12:01:16 +0200
commit1a6cd3a7f9680b60b6df105cc3482bd34dc0f3da (patch)
tree6657ed90000412417b8e0b3ffc2d24d40c7cd8f4 /.local
parent10c5394663b32760de3c03f81878df57790e5af6 (diff)
Introduce own util for backlight control
Diffstat (limited to '.local')
-rwxr-xr-x.local/bin/bl72
1 files changed, 72 insertions, 0 deletions
diff --git a/.local/bin/bl b/.local/bin/bl
new file mode 100755
index 0000000..644fe2a
--- /dev/null
+++ b/.local/bin/bl
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# This program is free software: you can redistribute it and/or modify it under
+# the terms of the GNU Affero General Public License as published by the Free
+# Software Foundation, either version 3 of the License, or (at your option) any
+# later version.
+#
+# This program is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+# FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
+# details.
+
+main()
+{
+ # Handle opts
+ while getopts ":h" opt
+ do
+ case "$opt" in
+ h) usage && exit 0 ;;
+ *)
+ printf "Invalid option passed: %s\n" "$OPTARG" >&2
+ ;;
+ esac
+ done
+
+ shift $(( OPTIND - 1 ))
+
+ [ $# -lt 1 ] && usage && exit 1
+
+ case "$1" in
+ inc)
+ xbacklight -inc ${2:-5}
+ notify="Brightness increased to $(brightness_level)%"
+ ;;
+ dec)
+ xbacklight -dec ${2:-5}
+ notify="Brightness lowered to $(brightness_level)%"
+ ;;
+ esac
+
+ notify-send -n 57492 -s -t 4 -i "$(brightness_icon)" "Backlight" "$notify"
+}
+
+brightness_level()
+{
+ xbacklight -get
+}
+
+brightness_icon()
+{
+ [ $(brightness_level) -lt 10 ] && printf "notification-display-brightness-off" && return
+ [ $(brightness_level) -lt 35 ] && printf "notification-display-brightness-low" && return
+ [ $(brightness_level) -lt 70 ] && printf "notification-display-brightness-medium" && return
+ [ $(brightness_level) -lt 95 ] && printf "notification-display-brightness-high" && return
+
+ printf "notification-display-brightness-full"
+}
+
+usage()
+{
+ cat <<EOF
+Usage:
+ ${0##*/} -h
+
+Nondescript
+
+Options:
+ -h Show this help text and exit.
+EOF
+}
+
+main "$@"